summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author B. Watson2012-12-16 23:42:24 +0100
committer dsomero2012-12-23 15:16:16 +0100
commit68c6af916d3af4f94b120149a42d268362639f73 (patch)
tree1d5357bcd87e6493af061910f69e941de0c80722 /development
parent1bbaa71fc8329a943d4cb35f8b74229d4db1f265 (diff)
downloadslackbuilds-68c6af916d3af4f94b120149a42d268362639f73.tar.gz
development/inform: Added (interactive fiction compiler)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/inform/README24
-rw-r--r--development/inform/inform.SlackBuild100
-rw-r--r--development/inform/inform.info12
-rw-r--r--development/inform/slack-desc19
4 files changed, 155 insertions, 0 deletions
diff --git a/development/inform/README b/development/inform/README
new file mode 100644
index 0000000000..e6135cde8c
--- /dev/null
+++ b/development/inform/README
@@ -0,0 +1,24 @@
+inform (interactive fiction compiler)
+
+Inform 6 is version 6 of Inform, an interactive fiction programming
+language created by Graham Nelson. Inform 6 made its debut on April 30th,
+1996, and it continues to be one of the most popular IF development
+systems even after the introduction of Inform 7 in 2006. Inform 6,
+like all other versions of Inform, compiles to code not only for the
+Z-machine, the same virtual machine used by Infocom, but also for the
+more powerful and flexible virtual machine called Glulx.
+
+This is a command-line compiler for the Inform 6 language. For a graphical
+Inform 7 compiler, see gnome-inform7. Inform 6 and 7 are completely
+different languages, so it's not redundant to install both.
+
+To get started writing interactive fiction with Inform, everything you
+need is installed in /usr/doc/inform-$VERSION:
+
+inform_beginners_guide.pdf - Read this first.
+manual/index.html - The Designer's Manual. Everything you need to know.
+tutorials/*.inf - Tutorials in Inform source code format.
+demos/*.inf - Source to sample games.
+
+Related packages: you'll want a Z-Code interpreter to try out your creations.
+Install one of: fizmo, frotz, zoom.
diff --git a/development/inform/inform.SlackBuild b/development/inform/inform.SlackBuild
new file mode 100644
index 0000000000..884f6d0596
--- /dev/null
+++ b/development/inform/inform.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/bash
+
+# Slackware build script for inform
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://sam.zoy.org/wtfpl/ for details.
+
+PRGNAM=inform
+VERSION=${VERSION:-6.32.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# Grr. Make this a relative link. Otherwise it points to /tmp/SBo
+# after installation.
+cd $PKG/usr/bin
+ rm -f $PRGNAM
+ ln -s $PRGNAM-* $PRGNAM
+cd -
+
+# Move the manual to where Slack users expect it to be.
+DOCDIR=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $DOCDIR
+mv $PKG/usr/share/$PRGNAM/manual $DOCDIR/manual
+
+# Install the demo sources + tutorials, too. Very instructive for someone
+# learning to use inform.
+mkdir -p $DOCDIR/demos
+cp demos/*.inf demos/README $DOCDIR/demos
+mkdir -p $DOCDIR/tutorials
+rm tutor/Make*
+cp tutor/* $DOCDIR/tutorials
+
+# Inform Beginners' Guide, required reading.
+cat $CWD/IBG.pdf > $DOCDIR/inform_beginners_guide.pdf
+
+cp -a ARTISTIC AUTHORS COPYING NEWS README docs/* $DOCDIR
+cat $CWD/$PRGNAM.SlackBuild > $DOCDIR/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/inform/inform.info b/development/inform/inform.info
new file mode 100644
index 0000000000..6e7c2b6067
--- /dev/null
+++ b/development/inform/inform.info
@@ -0,0 +1,12 @@
+PRGNAM="inform"
+VERSION="6.32.1"
+HOMEPAGE="http://www.inform-fiction.org/"
+DOWNLOAD="http://www.ifarchive.org/if-archive/infocom/compilers/inform6/source/inform-6.32.1.tar.gz \
+ http://www.ifarchive.org/if-archive/infocom/compilers/inform6/manuals/IBG.pdf"
+DOWNLOAD_x86_64=""
+MD5SUM="df582782f011d78f693d42abe6083250 \
+ b2635d3d61313bed286409500fc55bed"
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/development/inform/slack-desc b/development/inform/slack-desc
new file mode 100644
index 0000000000..ecde851382
--- /dev/null
+++ b/development/inform/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+inform: inform (interactive fiction compiler)
+inform:
+inform: Inform 6 is version 6 of Inform, an interactive fiction programming
+inform: language created by Graham Nelson. Inform 6 made its debut on
+inform: April 30th, 1996, and it continues to be one of the most popular
+inform: IF development systems even after the introduction of Inform 7 in
+inform: 2006. Inform 6, like all other versions of Inform, compiles to code not
+inform: only for the Z-machine, the same virtual machine used by Infocom, but
+inform: also for the more powerful and flexible virtual machine called Glulx.
+inform:
+inform: